#ifndef SETTINGFORM_H
#define SETTINGFORM_H

#include <QDialog>

namespace Ui {
class SettingForm;
}

class SettingForm : public QDialog
{
    Q_OBJECT

public:
    explicit SettingForm(QWidget *parent = 0);
    ~SettingForm();

private:
    Ui::SettingForm *ui;
    // 动画对象
    QMovie *m_movie;

    // 设置控件状态
    void _SetSubControlEnable(bool);

private slots:
    void on_settingBtnOk_clicked();
    void on_settingBtnCancle_clicked();

public slots:
    void onConnectSucessful();
    void onConnectFailed();
};

#endif // SETTINGFORM_H
